%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  PubChemR
%global packver   2.1.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.1.4
Release:          1%{?dist}%{?buildtag}
Summary:          Interface to the 'PubChem' Database for Chemical Data Retrieval

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6.0
Requires:         R-core >= 3.6.0
BuildArch:        noarch
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-tibble 
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-CRAN-stringr 
BuildRequires:    R-CRAN-tidyr 
BuildRequires:    R-CRAN-RJSONIO 
BuildRequires:    R-CRAN-httr 
BuildRequires:    R-utils 
BuildRequires:    R-CRAN-RCurl 
BuildRequires:    R-CRAN-magick 
BuildRequires:    R-CRAN-rsvg 
BuildRequires:    R-CRAN-png 
BuildRequires:    R-CRAN-testthat 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-tibble 
Requires:         R-CRAN-magrittr 
Requires:         R-CRAN-stringr 
Requires:         R-CRAN-tidyr 
Requires:         R-CRAN-RJSONIO 
Requires:         R-CRAN-httr 
Requires:         R-utils 
Requires:         R-CRAN-RCurl 
Requires:         R-CRAN-magick 
Requires:         R-CRAN-rsvg 
Requires:         R-CRAN-png 
Requires:         R-CRAN-testthat 

%description
Provides an interface to the 'PubChem' database via the PUG REST
<https://pubchem.ncbi.nlm.nih.gov/docs/pug-rest> and PUG View
<https://pubchem.ncbi.nlm.nih.gov/docs/pug-view> services. This package
allows users to automatically access chemical and biological data from
'PubChem', including compounds, substances, assays, and various other data
types. Functions are available to retrieve data in different formats,
perform searches, and access detailed annotations.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
